summaryrefslogtreecommitdiff
path: root/herbstluftwm/sppmxr
diff options
context:
space:
mode:
Diffstat (limited to 'herbstluftwm/sppmxr')
-rwxr-xr-xherbstluftwm/sppmxr18
1 files changed, 18 insertions, 0 deletions
diff --git a/herbstluftwm/sppmxr b/herbstluftwm/sppmxr
new file mode 100755
index 0000000..7499312
--- /dev/null
+++ b/herbstluftwm/sppmxr
@@ -0,0 +1,18 @@
+#!/bin/sh
+scratchpad=/tmp/herbstluftwm:sppmxr
+if xdotool search --onlyvisible --classname 'sppmxr'; then
+ if [ $(herbstclient list_monitors | grep '[FOCUS]' | cut -d\" -f2) = $(herbstclient attr clients.$(cat $scratchpad) | grep 's - - tag' | awk '{ print $6 }' | sed 's/"//g') ]; then
+ xdotool search -onlyvisible -classname 'sppmxr' windowunmap
+ exit
+ fi
+fi
+if [ -f $scratchpad ]; then
+ if ! herbstclient bring $(cat $scratchpad); then
+ xdotool search -classname 'sppmxr' windowmap && exit
+ fi
+fi
+if ! xdotool search --classname 'sppmxr' windowmap; then
+ setsid -f st -t 'sppmxr' -n 'sppmxr' -- zsh -c pulsemixer
+ xdotool search -sync -onlyvisible -classname 'sppmxr'
+ herbstclient attr clients.focus.winid > $scratchpad
+fi